/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.eai.field;

import vrml.eai.Node;

/**
 * VRML eventIn class for SFBool.
 *
 * @version 1.0 30 April 1998
 */
public abstract class EventInSFBool extends EventIn
{
  /**
   * Construct an instance of this class. Calls the superclass constructor
   * with the field type set to SFBool.
   */
  protected EventInSFBool()
  {
    super(SFBool);
  }
  
  /**
   * Set the value in the given eventIn.
   * <P>
   * @param value The boolean value to set the eventIn to.
   */
  public abstract void setValue(boolean value);
}









