/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.eai.field;

import vrml.eai.Node;

/**
 * VRML eventIn class for SFFloat.
 * 
 * @version 1.0 30 April 1998
 */
public abstract class EventInSFFloat extends EventIn
{
  /**
   * Construct an instance of this class. Calls the superclass constructor
   * with the field type set to SFFloat.
   */
  protected EventInSFFloat()
  {
    super(SFFloat);
  }
  
  /**
   * Set the float value in the given eventIn.
   *
   * @param value The array of float value to set.
   */
  public abstract void setValue(float value);
}









