/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.eai.field;

import vrml.eai.Node;

/**
 * VRML eventIn class for SFInt32.
 *
 * @version 1.0 30 April 1998
 */
public abstract class EventInSFInt32 extends EventIn
{
  /**
   * Construct an instance of this class. Calls the superclass constructor
   * with the field type set to SFInt32.
   */
  protected EventInSFInt32()
  {
    super(SFInt32);
  }
  
  /**
   * Set the value in the given eventIn.
   *
   * @param value The value to be set
   */
  public abstract void setValue(int value);
}











