/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * A VRML eventIn class. Represents the VRML write only access type.
 * <P>
 * The user can associate data and also listen for events on this eventIn.
 * These events are notified to the listener at the time that they arrive at
 * the field. This allows the addition of extra features like monitoring a
 * particular field for certain values being set (eg for debugging purposes)
 * without having to know every single node that has a ROUTE to this eventIn.
 *
 * @deprecated
 * @version 1.0
 */
public class EventIn
{
  /**
   * Get the type of this event out.
   *
   * @return The type defined by FieldTypes.
   * @see FieldTypes
   */
  public int getType()
  {
    return 0;
  }
}






