/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * A VRML eventOut class. Represents the VRML read only access type.
 * <P>
 * The user can encapsulate data and associate that with this field. The user
 * can register themselves as listeners for the output of this event changing
 * by adding themselves as a VRMLEvent listener.
 *
 * @deprecated
 * @version 1.0
 */
public class EventOut
{
  /**
   * Add a listener for changes in this eventOut. The observer gets called
   * when the value of this event Out changes.
   *
   * @param l The listener to add
   */
  public void advise(EventOutObserver eeo, Object userdata)
  {
  }

  /**
   * Get the type of this event out.
   *
   * @return The type defined by FieldTypes.
   * @see FieldTypes
   */
  public int getType()
  {
    return 0;
  }
}
