/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

/**
 * A VRML eventOut observer class.
 * <P>
 * An observer of changes in this eventIn.
 *
 * @deprecated
 * @version 1.0
 */
public interface EventOutObserver
{
  /**
   * A change has occurred in the event out.
   *
   * @param value The eventOut reference that changed.
   * @param timestamp The VRML timestamp when the event occurred
   * @param userData User defined data associated with the eventOut
   */
  public void callback(EventOut value, double timestamp, Object userData);
}
