/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * VRML eventIn class for SFNode.
 * <P>
 * Get the value of a node. The java <CODE>null</CODE> reference is treated to
 * be equivalent to the VRML <CODE>NULL</CODE> field values. If the node field
 * contains a NULL reference then reading this eventOut will result in a
 * java null being returned.
 *
 * @deprecated
 * @version 1.0
 */
public class EventOutSFNode extends EventOut
{
  /**
   * Get the node value in the given eventOut. If no node reference is set then
   * null is returned to the user.
   * <P>
   * @The new node reference set.
   */
  public Node getValue()
  {
    return null;
  }
}









