/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * The base representation of any VRML field. Provides a core set of services
 * that all field types can use for introspection of classes.
 *
 * @deprecated
 * @version 1.0
 */
public final class FieldTypes
{
    //  single valued fields
    public static final int SFBool = 1;
    public static final int SFColor = 2;
    public static final int SFFloat = 3;
    public static final int SFImage = 4;
    public static final int SFInt32 = 5;
    public static final int SFNode = 6;
    public static final int SFRotation = 7;
    public static final int SFString = 8;
    public static final int SFTime = 9;
    public static final int SFVec2f = 10;
    public static final int SFVec3f = 11;

    // multi valued fields
    public static final int MFColor = 12;
    public static final int MFFloat = 13;
    public static final int MFInt32 = 14;
    public static final int MFNode = 15;
    public static final int MFRotation = 16;
    public static final int MFString = 17;
    public static final int MFTime = 18;
    public static final int MFVec2f = 19;
    public static final int MFVec3f = 20;

    /**
     * Construct a new instance of a field. Class is never
     * instantiated.
     */
    private FieldTypes()
    {
    }
}

