/*
 *      @(#)MFFloat.java 1.10 98/11/05 20:40:31
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 */

package vrml.field;

public class MFFloat extends vrml.MField {
    com.sun.j3d.loaders.vrml97.impl.MFFloat impl;

    public MFFloat(com.sun.j3d.loaders.vrml97.impl.MFFloat init) {
	super(init);
	impl = init;
    }

    public synchronized Object clone() {
	return new MFFloat(
		(com.sun.j3d.loaders.vrml97.impl.MFFloat)impl.clone());
    }
    
    public void getValue(float values[]) {
	impl.setValue(values);
    }
    
    public void setValue(int size, float[] value) { 
	impl.setValue(size, value);
    }

    public void setValue(ConstMFFloat value) {
	impl.setValue(value.impl);
    }

    public float get1Value(int index) {
	return impl.get1Value(index);
    }

    public void set1Value(int index, float f) {
	impl.set1Value(index, f);
    }
    
    public void set1Value(int index, ConstSFFloat f) {
	impl.set1Value(index, f.impl);
    }

    public void set1Value(int index, SFFloat f) {
	impl.set1Value(index, f.impl);
    }

    public void addValue(float f) {
	impl.addValue(f);
    }
	    
    public void addValue(ConstSFFloat f) {
	impl.addValue(f.impl);
    }

    public void addValue(SFFloat f) {
	impl.addValue(f.impl);
    }

    public void insertValue( int index, float f ) {
	impl.insertValue(index, f);
    }

    public void insertValue( int index, ConstSFFloat f ) {
	impl.insertValue(index, f.impl);
    }

    public void insertValue( int index, SFFloat f ) {
	impl.insertValue(index, f.impl);
    }				

    public int getSize() { return impl.getSize(); }
    public void clear() { impl.clear(); }
    public void delete(int i) { impl.delete(i); }
}
