/*
 *      @(#)MFNode.java 1.9 98/11/05 20:40:32
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 */

package vrml.field;

import vrml.BaseNode;
import vrml.Field;

public class MFNode extends vrml.MField {
    com.sun.j3d.loaders.vrml97.impl.MFNode impl;

    public MFNode(com.sun.j3d.loaders.vrml97.impl.MFNode init) {
	super(init);
	impl = init;
    }

    public synchronized Object clone() {
	return new MFNode(
		(com.sun.j3d.loaders.vrml97.impl.MFNode)impl.clone());
    }

    MFNode(BaseNode nodes[]) {
	super(null);
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = 
		new com.sun.j3d.loaders.vrml97.impl.BaseNode[nodes.length];
	for (int i = 0; i < nodes.length; i++) {
	    implNodes[i] = Field.getImpl(nodes[i]);
	}
	impl = new com.sun.j3d.loaders.vrml97.impl.MFNode(implNodes);
	implField = impl;
    }
	
    public void getValue(BaseNode values[]) {
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = impl.getValue();
	for (int i = 0; i < implNodes.length; i++) {
	    values[i] = implNodes[i].wrap();
	}
    }
    
    public BaseNode[] getValue() {
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = impl.getValue();
	BaseNode[] nodes = new BaseNode[implNodes.length];
	for (int i = 0; i < implNodes.length; i++) {
	    nodes[i] = implNodes[i].wrap();
	}
	return nodes;
	
    }

    public void setValue(BaseNode[] values) {
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = 
		new com.sun.j3d.loaders.vrml97.impl.BaseNode[values.length];
	for (int i = 0; i < values.length; i++) {
	    implNodes[i] = Field.getImpl(values[i]);
	}
	impl.setValue(implNodes);
    }
    
    public void setValue(int size, BaseNode[] values) { 
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = 
		new com.sun.j3d.loaders.vrml97.impl.BaseNode[size];
	for (int i = 0; i < size; i++) {
	    implNodes[i] = Field.getImpl(values[i]);
	}
	impl.setValue(size, implNodes);
    }

    public void setValue(ConstMFNode n) {
	impl.setValue(n.impl);
    }

    public BaseNode get1Value(int index) {
	return impl.get1Value(index).wrap();
    }

    public void set1Value(int index, BaseNode n) {
	impl.set1Value(index, vrml.Field.getImpl(n));
    }
    
    public void set1Value(int index, ConstSFNode n) {
	impl.set1Value(index, n.impl);
    }

    public void set1Value(int index, SFNode n) {
	impl.set1Value(index, n.impl);
    }

    public void addValue(BaseNode n) {
	impl.addValue(vrml.Field.getImpl(n));
    }
	    
    public void addValue(ConstSFNode n) {
	impl.addValue(n.impl);
    }

    public void addValue(SFNode n) {
	impl.addValue(n.impl);
    }

    public void insertValue( int index, BaseNode n ) {
	impl.insertValue(index, vrml.Field.getImpl(n));
    }

    public void insertValue( int index, ConstSFNode n ) {
	impl.insertValue(index, n.impl);
    }

    public void insertValue( int index, SFNode n ) {
	impl.insertValue(index, n.impl);
    }				

    public int getSize() { return impl.getSize(); }
    public void clear() {  impl.clear(); }
    public void delete(int n) { impl.delete(n); }
}
		
