/*
 *      @(#)MFTime.java 1.9 98/11/05 20:40:34
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 */

package vrml.field;

public class MFTime extends vrml.MField {
    com.sun.j3d.loaders.vrml97.impl.MFTime impl;

    public MFTime(com.sun.j3d.loaders.vrml97.impl.MFTime init) {
	super(init);
	impl = init;
    }

    public synchronized Object clone() {
	return new MFTime((com.sun.j3d.loaders.vrml97.impl.MFTime)impl.clone());
    }

    public int getSize() { return impl.getSize(); }
    public void clear() { impl.clear(); }
    public void delete(int i) { impl.delete(i); }

    public MFTime(double[] time) {
	super(null);
	impl = new com.sun.j3d.loaders.vrml97.impl.MFTime(time);
	implField = impl;
    }

    public void getValue(double[] values) {
	impl.getValue(values);
    }

    public double get1Value(int index) {
	return impl.get1Value(index);
    }

    public void setValue( double[] values ) {
	impl.setValue(values);
    }

    public void setValue( int size, double[] values) {
	impl.setValue(size, values);
    }	

    public void set1Value( int index, double d ) {
	impl.set1Value(index, d);
    }

    public void set1Value(int index, ConstSFTime t) {
	impl.set1Value(index, t.impl);
    }

    public void set1Value(int index, SFTime t) {
	impl.set1Value(index, t.impl);
    }


    public void addValue(double d) {
	impl.addValue(d);
    }

    public void addValue(ConstSFTime t) {
	impl.addValue(t.impl);
    }
    
    public void addValue(SFTime t) {
	impl.addValue(t.impl);
    }

    public void insertValue( int index, double d ) {
	impl.insertValue(index, d);
    }

    public void insertValue( int index, SFTime t) {
	impl.insertValue(index, t.impl);
    }
    
    public void insertValue( int index, ConstSFTime t) {
	impl.insertValue(index, t.impl);
    }
	
}

